org.keycloak.dom.saml.v2.profiles.sso.ecp

## Class RelayStateType

- java.lang.Object
- - org.keycloak.dom.saml.v2.profiles.sso.ecp.RelayStateType

-     public class RelayStateType
      extends Object

  Java class for RelayStateType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="RelayStateType">
         <simpleContent>
           <extension base="<http://www.w3.org/2001/XMLSchema>string">
             <attribute ref="{http://schemas.xmlsoap.org/soap/envelope/}mustUnderstand use="required""/>
             <attribute ref="{http://schemas.xmlsoap.org/soap/envelope/}actor use="required""/>
           </extension>
         </simpleContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `actor`
    `protected Boolean` | `mustUnderstand`
    `protected String` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RelayStateType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getActor()` Gets the value of the actor property.
    `String` | `getValue()` Gets the value of the value property.
    `Boolean` | `isMustUnderstand()` Gets the value of the mustUnderstand property.
    `void` | `setActor(String value)` Sets the value of the actor property.
    `void` | `setMustUnderstand(Boolean value)` Sets the value of the mustUnderstand property.
    `void` | `setValue(String value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### value

          protected String value

    - #### mustUnderstand

          protected Boolean mustUnderstand

    - #### actor

          protected String actor

  - ### Constructor Detail

    - #### RelayStateType

          public RelayStateType()

  - ### Method Detail

    - #### getValue

          public String getValue()

      Gets the value of the value property.
      Returns:
        possible object is `String`

    - #### setValue

          public void setValue(String value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `String`

    - #### isMustUnderstand

          public Boolean isMustUnderstand()

      Gets the value of the mustUnderstand property.
      Returns:
        possible object is `String`

    - #### setMustUnderstand

          public void setMustUnderstand(Boolean value)

      Sets the value of the mustUnderstand property.
      Parameters:
        `value` - allowed object is `String`

    - #### getActor

          public String getActor()

      Gets the value of the actor property.
      Returns:
        possible object is `String`

    - #### setActor

          public void setActor(String value)

      Sets the value of the actor property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2021 JBoss by Red Hat. All rights reserved.